# ps_save

(PECL ps >= 1.1.0)

ps_save — Save current context

### Description

ps_save ( resource `$psdoc` ) : bool

Saves the current graphics context, containing colors, translation and rotation settings and some more. A saved context can be restored with ps_restore().

### Parameters

`psdoc`

  Resource identifier of the postscript file as returned by ps_new().

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- ps_restore() - Restore previously save context